cURL
curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/wallet/WALLET_ADDRESS/network/NETWORK_ID' \
-H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
-H 'content-type: application/json' \
--compressedimport requests
url = "https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/wallet/{address}/network/{networkId}"
headers = {"X-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Access-Key': '<api-key>'}};
fetch('https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/wallet/{address}/network/{networkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "eth:1:0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"account": {
"id": "eth:1:0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract_id": "",
"balance": "107221284238907773544",
"network_id": "1",
"public": false,
"verification_date": null,
"address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract_name": "",
"ens_domain": null,
"type": "wallet",
"evm_version": "",
"compiler_version": "",
"optimizations_used": false,
"optimization_runs": 0,
"libraries": null,
"compiler_settings": null,
"deployed_bytecode": "",
"creation_bytecode": "",
"data": null,
"creation_block": 0,
"creation_tx": "",
"creator_address": "",
"created_at": "2021-11-26T15:21:53Z",
"in_project": false
},
"project_id": "dfdc391a-a15d-4590-9aef-8691259c7df4",
"added_by_id": "7d5e8b1f-8bf8-4eae-a70f-fb7d354b1cc2",
"previous_versions": [],
"details_visible": true,
"include_in_transaction_listing": true,
"display_name": "Vitalik Buterin",
"account_type": "wallet",
"verification_type": "",
"added_at": "2023-12-15T13:48:28.050871Z"
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "bad_request",
"message": "Bad request input parameters"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "insufficient_permissions",
"message": "Insufficient permissions"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "resource_not_found",
"message": "The resource you requested could not be found."
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "internal_server_error",
"message": "Internal server error"
}
}Wallets
Get wallet in project
This endpoint allows you to get a single wallet for your Tenderly project.
GET
/
v1
/
account
/
{accountSlug}
/
project
/
{projectSlug}
/
wallet
/
{address}
/
network
/
{networkId}
cURL
curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/wallet/WALLET_ADDRESS/network/NETWORK_ID' \
-H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
-H 'content-type: application/json' \
--compressedimport requests
url = "https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/wallet/{address}/network/{networkId}"
headers = {"X-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Access-Key': '<api-key>'}};
fetch('https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/wallet/{address}/network/{networkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "eth:1:0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"account": {
"id": "eth:1:0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract_id": "",
"balance": "107221284238907773544",
"network_id": "1",
"public": false,
"verification_date": null,
"address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract_name": "",
"ens_domain": null,
"type": "wallet",
"evm_version": "",
"compiler_version": "",
"optimizations_used": false,
"optimization_runs": 0,
"libraries": null,
"compiler_settings": null,
"deployed_bytecode": "",
"creation_bytecode": "",
"data": null,
"creation_block": 0,
"creation_tx": "",
"creator_address": "",
"created_at": "2021-11-26T15:21:53Z",
"in_project": false
},
"project_id": "dfdc391a-a15d-4590-9aef-8691259c7df4",
"added_by_id": "7d5e8b1f-8bf8-4eae-a70f-fb7d354b1cc2",
"previous_versions": [],
"details_visible": true,
"include_in_transaction_listing": true,
"display_name": "Vitalik Buterin",
"account_type": "wallet",
"verification_type": "",
"added_at": "2023-12-15T13:48:28.050871Z"
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "bad_request",
"message": "Bad request input parameters"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "insufficient_permissions",
"message": "Insufficient permissions"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "resource_not_found",
"message": "The resource you requested could not be found."
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "internal_server_error",
"message": "Internal server error"
}
}Authorizations
ApiKeyAuthBearerAuth
An API key is a token that a client provides when making API calls. Send it as the X-Access-Key request header on any endpoint:
curl '<API_ENDPOINT>' \ -H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \ ...
Learn how to generate API access tokens at Tenderly Docs.
Path Parameters
Account slug of the user
Project slug of the account
Network Id of the wallet
Wallet address
Response
A successful response.
An object with details about project wallet.
Was this page helpful?
⌘I